Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Bookings
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
        GET
      • Delete Bookings
        DELETE
      • End / Cancel Reservation
        PATCH
      • Add Reservation (New)
        POST
      • Send Invoice
        POST
      • Change Reservation ID
        PUT
      • Filter For Reservations
        GET
      • Get Booking Details
        GET
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
    • View Room Details
    • Filter Rooms
    • Get Avaliable Rooms
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Bookings

Delete Bookings

DELETE
/admin/bookings/{id}
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/admin/bookings/653ca80dbd3750993e736ad4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "Sorry, Reservation has been deleted successfully.",
    "data": {
        "result": {
            "_id": "653ca80dbd3750993e736ad4",
            "roomName": "Asa Sinle room",
            "userId": "653bc09dd315da400aa0824d",
            "fullName": "Abdullah Yahaya Abu",
            "roomId": "653a1c4b29d03a5e5f17a704",
            "quantity": 3,
            "bookings": [
                {
                    "fromDate": "2023-10-26",
                    "toDate": "2023-10-27",
                    "amount": 105000,
                    "status": "active",
                    "paymentId": "653ca6ad3bfdd486ef5305e5"
                }
            ],
            "location": "Akure",
            "createdAt": "2023-10-28T06:19:57.269Z",
            "updatedAt": "2023-10-28T06:19:57.269Z",
            "__v": 0
        }
    }
}
Modified at 2026-03-12 17:03:01
Previous
All Booking Reservation
Next
End / Cancel Reservation
Built with